# Affiliate Butler PRO
* Contributors: waseem_senjer
* Tags: affiliate, links, automation,keywords,cloak,cloaking
* Requires at least: 4.0
* Tested up to: 5.2
* Stable tag: 2.1.15
* License: GPLv2 or later
* License URI: http://www.gnu.org/licenses/gpl-2.0.html

Affiliate Butler PRO is a Wordpress plugin that helps you to replace a specific keywords to links automatically.


## Description

* Are you tired of linking websites in your post? This plugin will solve your problem. Link your keywords once and forget about them. 

* Are you an affiliate marketer, you don't have to manually insert your affiliate links manually every time you write a blog post. Also, it has a link shortening feature to hide and protect your links.

 


## Installation



### Using The WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Search for 'Affiliate Butler Pro'
3. Click 'Install Now'
4. Activate the plugin on the Plugin dashboard

### Uploading in WordPress Dashboard

1. Navigate to the 'Add New' in the plugins dashboard
2. Navigate to the 'Upload' area
3. Select `lar-links-auto-replacer.zip` from your computer
4. Click 'Install Now'
5. Activate the plugin in the Plugin dashboard

### Using FTP

1. Download `lar-links-auto-replacer.zip`
2. Extract the `lar-links-auto-replacer` directory to your computer
3. Upload the `lar-links-auto-replacer` directory to the `/wp-content/plugins/` directory
4. Activate the plugin in the Plugin dashboard



## Screenshots

1. The post before adding the links
2. Links management.
3. The auto replacement of the keywords in the post.

## Changelog

### 2.1.15
* FIXED: Broken keywords when the keyword is mentioned in the SEO title.

### 2.1.14
* IMPROVED: The search for internal links.

### 2.1.13 
* FIXED: shrink option was not saving when creating a new keyword.
* FIXED: limit per post was not working properly.

### 2.1.12 
* ADDED: Allow internal links to be searched with letter case insinsitive.

### 2.1.11
* ADDED: Extending internal links search to other available post types


### 2.1.10
* ADDED: a setting to disable excerpt replacement.
* FIXED: not saved HTML elements on replacements

### 2.1.9
* FIXED: word occurrences count

### 2.1.8
* FIXED: Limits per post.

### 2.1.7
* FIXED: fix chinese words spacing"

### 2.1.6 
* ADDED: Chinese words support

### 2.1.5 
* ADDED: Japanese words support

### 2.1.4
* FIXED: ordering taxonomies warning error

### 2.1.3
* FIXED: rename post type

### 2.1.2
* FIXED: fatal error in the license handler class

### 1.1.0
* ADDED: UI enhancemnts at the "All Auto Links" and "Add new Auto Link" pages.
* ADDED: The online Documentation link to the Affiliate Butler menu item.
* ADDED: An alternative native base62 encoder if the server doesn't have the BCMath module.
* FIXED: per post limit has been fixed for taxonomies auto linking.
* FIXED: flushing rewrite rules when activating the plugin.
* FIXED: Skipping the keywords which are already linked by the WordPress WYSIWYG editor. 
* FIXED: Case sensitive option issue.
* FIXED: shortcode conflicts with added keywords.

### 1.0.0
* Initial release.

## Upgrade Notice
* Initial release.