<?php



class Abutler_Link_Pro{


	/**
	* Get the final url that will be replaced in the frontend.
	* @param	 integer link ID
	* @return	 string the final url.
	* @since    1.0.0
	**/
	public function get_final_url( $link_id ){
		$link_meta = get_post_meta( $link_id );
		$links_prefix = (abutler_pro()->get_option(ABUTLER_PRO_PLUGIN_PREFIX . 'shortlinks_prefix'))?abutler_pro()->get_option(ABUTLER_PRO_PLUGIN_PREFIX . 'shortlinks_prefix'):'go';

		if($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'link_type'][0] == 'external'){
				if ( get_option('permalink_structure') != '' ) {
					$url = ($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0]!= '')? site_url().'/'.$links_prefix.'/'.$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0] : $link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'url'][0];
				
				}else{
					$url = ($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0] != '')? site_url().'/index.php?'. $links_prefix .'='.$link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'slug'][0] : $link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'url'][0];
				
				}
		}elseif($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'link_type'][0] == 'internal'){ // if internal link
					$url = get_permalink($link_meta[ABUTLER_PRO_PLUGIN_PREFIX.'internal_url'][0]);
		}
		return $url;
	}
}